% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/connect_operations.R
\name{connect_list_user_hierarchy_groups}
\alias{connect_list_user_hierarchy_groups}
\title{Returns a UserHierarchyGroupSummaryList, which is an array of
HierarchyGroupSummary objects that contain information about the
hierarchy groups in your instance}
\usage{
connect_list_user_hierarchy_groups(InstanceId, NextToken, MaxResults)
}
\arguments{
\item{InstanceId}{[required] The identifier for your Amazon Connect instance. To find the ID of your
instance, open the AWS console and select Amazon Connect. Select the
alias of the instance in the Instance alias column. The instance ID is
displayed in the Overview section of your instance settings. For
example, the instance ID is the set of characters at the end of the
instance ARN, after instance/, such as
10a4c4eb-f57e-4d4c-b602-bf39176ced07.}

\item{NextToken}{The token for the next set of results. Use the value returned in the
previous response in the next request to retrieve the next set of
results.}

\item{MaxResults}{The maximum number of hierarchy groups to return.}
}
\description{
Returns a \code{UserHierarchyGroupSummaryList}, which is an array of
\code{HierarchyGroupSummary} objects that contain information about the
hierarchy groups in your instance.
}
\section{Request syntax}{
\preformatted{svc$list_user_hierarchy_groups(
  InstanceId = "string",
  NextToken = "string",
  MaxResults = 123
)
}
}

\keyword{internal}
